(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else {
		var a = factory();
		for(var i in a) (typeof exports === 'object' ? exports : root)[i] = a[i];
	}
})(typeof self !== 'undefined' ? self : this, function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 1);
/******/ })
/************************************************************************/
/******/ ([
/* 0 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ __webpack_exports__["a"] = ({
  name: 'window',
  data() {
    return {
      lastY: "",
      lastX: "",
      moveY: "",
      moveX: "",
      //窗口默认大小
      eventInfo: {
        width: this.width,
        height: this.height,
        top: this.top,
        left: this.top
      },
      //当前点击的位置
      translate: "",

      //判断鼠标是否点击
      clickFlag: false,
      //元素是否移动
      moveFlag: true,

      // 关闭
      closeFlag: true
    };
  },
  props: {
    title: {
      default: "窗口",
      type: String
    },
    isZoom: {
      default: true,
      type: Boolean
    },
    isRun: {
      default: true,
      type: Boolean
    },
    width: {
      type: [Number, String],
      default: window.innerWidth - window.innerWidth * 0.6
    },
    height: {
      type: [Number, String],
      default: window.innerHeight - window.innerHeight * 0.4
    },
    top: {
      type: [Number, String],
      default: 0
    },
    left: {
      type: [Number, String],
      default: 0
    }
  },
  mounted() {},
  methods: {
    mouseMove(e) {
      this.clickItem();
      switch (this.translate) {
        case "top":
          this.topChange(e);
          break;
        case "bottom":
          this.bottomChange(e);
          break;
        case "left":
          this.leftChange(e);
          break;
        case "right":
          this.rightChange(e);
          break;
        case "top_left":
          this.topChange(e);
          this.leftChange(e);
          break;
        case "bottom_left":
          this.bottomChange(e);
          this.leftChange(e);
          break;
        case "top_right":
          this.topChange(e);
          this.rightChange(e);
          break;
        case "bottom_right":
          this.bottomChange(e);
          this.rightChange(e);
          break;
        default:
          console.log("啦啦啦，我是卖报的小专家");
          break;
      }
      this.lastY = e.screenY;
      this.lastX = e.screenX;
    },
    topChange(e) {
      this.eventInfo.height = -(e.screenY - this.lastY) + this.$refs.box.clientHeight;
      this.eventInfo.top = e.clientY;
    },
    leftChange(e) {
      this.eventInfo.left = e.clientX;
      this.eventInfo.width = -(e.screenX - this.lastX) + this.$refs.box.clientWidth;
    },
    bottomChange(e) {
      this.eventInfo.height = e.screenY - this.lastY + this.$refs.box.clientHeight;
    },
    rightChange(e) {
      this.eventInfo.width = e.screenX - this.lastX + this.$refs.box.clientWidth;
    },
    mouseDown(e, translate) {
      if (!this.isZoom) {
        return false;
      }
      this.lastY = e.screenY;
      this.lastX = e.screenX;
      this.translate = translate;

      document.onmousemove = this.mouseMove;
    },
    //移动
    dragDiv(el) {
      if (!this.isRun) {
        return false;
      }
      this.clickItem();
      const box = this.$refs.box;
      const _this = this;
      if (_this.maxFlag) {
        box.startY = el.clientY - box.offsetTop;
        box.startX = _this.historyEventInfo.width / 2;
      } else {
        box.startX = el.clientX - box.offsetLeft;
        box.startY = el.clientY - box.offsetTop;
      }
      this.moveFlag = true;
      document.onmousemove = e => {
        if (_this.moveFlag) {
          //但窗口放大后,拖动后窗口窗口化
          if (_this.maxFlag) {
            _this.eventInfo.width = _this.historyEventInfo.width;
            _this.eventInfo.height = _this.historyEventInfo.height;
            _this.maxFlag = false;
          } else {
            _this.eventInfo.left = e.clientX - box.startX;
          }
          let top = e.clientY - box.startY;
          _this.eventInfo.top = top;
        }
      };
    },
    clearEvent() {
      document.onmousemove = null;
      document.onmouseup = null;
    },
    // 关闭
    closeFun() {
      this.closeFlag = false;
      this.$emit("closeFun", true);
    },
    //鼠标按下回调
    clickItem() {
      this.$emit('clickItem', true);
    }
  }
});

/***/ }),
/* 1 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__app_vue__ = __webpack_require__(2);
// 引入组件

// 组件需要添加name属性，代表注册的组件名称，也可以修改成其他的
__WEBPACK_IMPORTED_MODULE_0__app_vue__["a" /* default */].install = Vue => Vue.component(__WEBPACK_IMPORTED_MODULE_0__app_vue__["a" /* default */].name, __WEBPACK_IMPORTED_MODULE_0__app_vue__["a" /* default */]); //注册组件

/* harmony default export */ __webpack_exports__["default"] = (__WEBPACK_IMPORTED_MODULE_0__app_vue__["a" /* default */]);

/***/ }),
/* 2 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_app_vue__ = __webpack_require__(0);
/* unused harmony namespace reexport */
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_5ef48958_hasScoped_true_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_app_vue__ = __webpack_require__(9);
var disposed = false
function injectStyle (ssrContext) {
  if (disposed) return
  __webpack_require__(3)
}
var normalizeComponent = __webpack_require__(8)
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = "data-v-5ef48958"
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_app_vue__["a" /* default */],
  __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_5ef48958_hasScoped_true_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_app_vue__["a" /* default */],
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)
Component.options.__file = "src/app.vue"

/* hot reload */
if (false) {(function () {
  var hotAPI = require("vue-hot-reload-api")
  hotAPI.install(require("vue"), false)
  if (!hotAPI.compatible) return
  module.hot.accept()
  if (!module.hot.data) {
    hotAPI.createRecord("data-v-5ef48958", Component.options)
  } else {
    hotAPI.reload("data-v-5ef48958", Component.options)
  }
  module.hot.dispose(function (data) {
    disposed = true
  })
})()}

/* harmony default export */ __webpack_exports__["a"] = (Component.exports);


/***/ }),
/* 3 */
/***/ (function(module, exports, __webpack_require__) {

// style-loader: Adds some css to the DOM by adding a <style> tag

// load the styles
var content = __webpack_require__(4);
if(typeof content === 'string') content = [[module.i, content, '']];
if(content.locals) module.exports = content.locals;
// add the styles to the DOM
var update = __webpack_require__(6)("0695537d", content, false, {});
// Hot Module Replacement
if(false) {
 // When the styles change, update the <style> tags
 if(!content.locals) {
   module.hot.accept("!!../node_modules/css-loader/index.js?sourceMap!../node_modules/vue-loader/lib/style-compiler/index.js?{\"vue\":true,\"id\":\"data-v-5ef48958\",\"scoped\":true,\"hasInlineConfig\":false}!../node_modules/vue-loader/lib/selector.js?type=styles&index=0!./app.vue", function() {
     var newContent = require("!!../node_modules/css-loader/index.js?sourceMap!../node_modules/vue-loader/lib/style-compiler/index.js?{\"vue\":true,\"id\":\"data-v-5ef48958\",\"scoped\":true,\"hasInlineConfig\":false}!../node_modules/vue-loader/lib/selector.js?type=styles&index=0!./app.vue");
     if(typeof newContent === 'string') newContent = [[module.id, newContent, '']];
     update(newContent);
   });
 }
 // When the module is disposed, remove the <style> tags
 module.hot.dispose(function() { update(); });
}

/***/ }),
/* 4 */
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(5)(true);
// imports


// module
exports.push([module.i, "\n.box[data-v-5ef48958] {\r\n  position: absolute;\r\n  min-height: 100px;\r\n  min-width: 150px;\r\n  box-shadow: 0 2px 12px 0 rgb(0 0 0 / 10%);\r\n  /* transition: top 0.1s; */\n}\n.top[data-v-5ef48958],\r\n.left[data-v-5ef48958],\r\n.right[data-v-5ef48958],\r\n.bottom[data-v-5ef48958] {\r\n  position: absolute;\n}\n.top[data-v-5ef48958],\r\n.bottom[data-v-5ef48958] {\r\n  left: 0;\r\n  right: 0;\r\n  margin-left: auto;\r\n  margin-right: auto;\n}\n.left[data-v-5ef48958],\r\n.right[data-v-5ef48958] {\r\n  top: 0;\r\n  bottom: 0;\r\n  margin-top: auto;\r\n  margin-bottom: auto;\n}\n.top[data-v-5ef48958] {\r\n  width: calc(100% - 4px);\r\n  height: 2px;\r\n  top: 0;\r\n  left: 0;\r\n  cursor: n-resize;\n}\n.bottom[data-v-5ef48958] {\r\n  width: calc(100% - 4px);\r\n  height: 2px;\r\n  bottom: 0;\r\n  left: 0;\r\n  cursor: s-resize;\n}\n.left[data-v-5ef48958] {\r\n  width: 2px;\r\n  height: calc(100% - 4px);\r\n  top: 0;\r\n  left: 0;\r\n  cursor: w-resize;\n}\n.right[data-v-5ef48958] {\r\n  width: 2px;\r\n  height: calc(100% - 4px);\r\n  bottom: 0;\r\n  right: 0;\r\n  cursor: e-resize;\n}\n.top_left[data-v-5ef48958],\r\n.top_right[data-v-5ef48958],\r\n.bottom_left[data-v-5ef48958],\r\n.bottom_right[data-v-5ef48958] {\r\n  width: 6px;\r\n  height: 6px;\r\n  position: absolute;\n}\n.top_left[data-v-5ef48958] {\r\n  top: 0;\r\n  left: 0;\r\n  cursor: nw-resize;\n}\n.top_right[data-v-5ef48958] {\r\n  top: 0;\r\n  right: 0;\r\n  cursor: ne-resize;\n}\n.bottom_left[data-v-5ef48958] {\r\n  bottom: 0;\r\n  left: 0;\r\n  cursor: sw-resize;\n}\n.bottom_right[data-v-5ef48958] {\r\n  bottom: 0;\r\n  right: 0;\r\n  cursor: se-resize;\n}\n.top[data-v-5ef48958],\r\n.bottom[data-v-5ef48958],\r\n.left[data-v-5ef48958],\r\n.right[data-v-5ef48958],\r\n.top_left[data-v-5ef48958],\r\n.top_right[data-v-5ef48958],\r\n.bottom_left[data-v-5ef48958],\r\n.bottom_right[data-v-5ef48958] {\r\n  z-index: 2;\n}\n.box-title[data-v-5ef48958] {\r\n  width: 100%;\r\n  height: 30px;\r\n  position: absolute;\r\n  top: 2px;\r\n  left: 0;\r\n  right: 0;\r\n  margin-left: auto;\r\n  margin-right: auto;\r\n  background: #fff;\r\n  border-bottom: 0.5px solid rgba(124, 124, 124, 0.5);\r\n  box-sizing: border-box;\r\n  line-height: 30px;\r\n  padding-left: 10px;\r\n  box-sizing: border-box;\n}\n.box-title > span[data-v-5ef48958] {\r\n  display: block;\r\n  width: 70%;\r\n  float: left;\r\n  overflow: hidden;\r\n  text-overflow: ellipsis;\r\n  white-space: nowrap;\r\n  font-size: 14px;\r\n  color: #000;\r\n  -webkit-touch-callout: none;\r\n  -webkit-user-select: none;\r\n  -moz-user-select: none;\r\n  -ms-user-select: none;\r\n  user-select: none;\n}\n.box-title > .box-title-btn[data-v-5ef48958] {\r\n  /* width: 100px; */\r\n  float: right;\r\n  height: 100%;\r\n  display: flex;\r\n  justify-content: space-around;\n}\n.box-main[data-v-5ef48958] {\r\n  width: 100%;\r\n  height: calc(100% - 31px);\r\n  position: absolute;\r\n  left: 0;\r\n  right: 0;\r\n  top: 33px;\r\n  bottom: 0;\r\n  margin: auto;\r\n  background: #fff;\r\n  padding: 7px;\r\n  box-sizing: border-box;\n}\n.iconfont[data-v-5ef48958] {\r\n  cursor: pointer;\r\n  font-size: 18px;\r\n  color: rgb(124, 124, 124);\r\n  width: 30px;\r\n  height: 100%;\r\n  text-align: center;\r\n  line-height: 30px;\n}\n.iconfont[data-v-5ef48958]:hover {\r\n  background: rgba(255, 0, 0, 0.7);\r\n  color: #fff;\n}\r\n", "", {"version":3,"sources":["E:/wr/项目/modelWindows/src/src/app.vue"],"names":[],"mappings":";AAoPA;EACA,mBAAA;EACA,kBAAA;EACA,iBAAA;EACA,0CAAA;EACA,2BAAA;CACA;AACA;;;;EAIA,mBAAA;CACA;AACA;;EAEA,QAAA;EACA,SAAA;EACA,kBAAA;EACA,mBAAA;CACA;AACA;;EAEA,OAAA;EACA,UAAA;EACA,iBAAA;EACA,oBAAA;CACA;AACA;EACA,wBAAA;EACA,YAAA;EACA,OAAA;EACA,QAAA;EACA,iBAAA;CACA;AACA;EACA,wBAAA;EACA,YAAA;EACA,UAAA;EACA,QAAA;EACA,iBAAA;CACA;AACA;EACA,WAAA;EACA,yBAAA;EACA,OAAA;EACA,QAAA;EACA,iBAAA;CACA;AACA;EACA,WAAA;EACA,yBAAA;EACA,UAAA;EACA,SAAA;EACA,iBAAA;CACA;AACA;;;;EAIA,WAAA;EACA,YAAA;EACA,mBAAA;CACA;AAEA;EACA,OAAA;EACA,QAAA;EACA,kBAAA;CACA;AACA;EACA,OAAA;EACA,SAAA;EACA,kBAAA;CACA;AACA;EACA,UAAA;EACA,QAAA;EACA,kBAAA;CACA;AACA;EACA,UAAA;EACA,SAAA;EACA,kBAAA;CACA;AACA;;;;;;;;EAQA,WAAA;CACA;AACA;EACA,YAAA;EACA,aAAA;EACA,mBAAA;EACA,SAAA;EACA,QAAA;EACA,SAAA;EACA,kBAAA;EACA,mBAAA;EACA,iBAAA;EACA,oDAAA;EACA,uBAAA;EACA,kBAAA;EACA,mBAAA;EACA,uBAAA;CACA;AACA;EACA,eAAA;EACA,WAAA;EACA,YAAA;EACA,iBAAA;EACA,wBAAA;EACA,oBAAA;EACA,gBAAA;EACA,YAAA;EACA,4BAAA;EACA,0BAAA;EACA,uBAAA;EACA,sBAAA;EACA,kBAAA;CACA;AACA;EACA,mBAAA;EACA,aAAA;EACA,aAAA;EACA,cAAA;EACA,8BAAA;CACA;AACA;EACA,YAAA;EACA,0BAAA;EACA,mBAAA;EACA,QAAA;EACA,SAAA;EACA,UAAA;EACA,UAAA;EACA,aAAA;EACA,iBAAA;EACA,aAAA;EACA,uBAAA;CACA;AACA;EACA,gBAAA;EACA,gBAAA;EACA,0BAAA;EACA,YAAA;EACA,aAAA;EACA,mBAAA;EACA,kBAAA;CACA;AACA;EACA,iCAAA;EACA,YAAA;CACA","file":"app.vue","sourcesContent":["<template>\r\n  <div\r\n    class=\"box\"\r\n    ref=\"box\"\r\n    :style=\"{\r\n      height: eventInfo.height + 'px',\r\n      width: eventInfo.width + 'px',\r\n      top: eventInfo.top + 'px',\r\n      left: eventInfo.left + 'px',\r\n    }\"\r\n    v-if=\"closeFlag\"\r\n    @mousedown.stop=\"clickItem\"\r\n  >\r\n    <div\r\n      class=\"top\"\r\n      @mousedown.stop=\"mouseDown($event, 'top')\"\r\n      @mouseup.stop=\"clearEvent\"\r\n    ></div>\r\n    <div\r\n      class=\"left\"\r\n      @mousedown.stop=\"mouseDown($event, 'left')\"\r\n      @mouseup.stop=\"clearEvent\"\r\n    ></div>\r\n    <div\r\n      class=\"right\"\r\n      @mousedown.stop=\"mouseDown($event, 'right')\"\r\n      @mouseup.stop=\"clearEvent\"\r\n    ></div>\r\n    <div\r\n      class=\"bottom\"\r\n      @mousedown.stop=\"mouseDown($event, 'bottom')\"\r\n      @mouseup.stop=\"clearEvent\"\r\n    ></div>\r\n    <div\r\n      class=\"top_left\"\r\n      @mousedown.stop=\"mouseDown($event, 'top_left')\"\r\n      @mouseup.stop=\"clearEvent\"\r\n    ></div>\r\n    <div\r\n      class=\"bottom_left\"\r\n      @mousedown.stop=\"mouseDown($event, 'bottom_left')\"\r\n      @mouseup.stop=\"clearEvent\"\r\n    ></div>\r\n    <div\r\n      class=\"top_right\"\r\n      @mousedown.stop=\"mouseDown($event, 'top_right')\"\r\n      @mouseup.stop=\"clearEvent\"\r\n    ></div>\r\n    <div\r\n      class=\"bottom_right\"\r\n      @mousedown.stop=\"mouseDown($event, 'bottom_right')\"\r\n      @mouseup.stop=\"clearEvent\"\r\n    ></div>\r\n\r\n    <div\r\n      class=\"box-title\"\r\n      ref=\"boxtitle\"\r\n      @mousedown.stop=\"dragDiv($event)\"\r\n      @mouseup.stop=\"clearEvent($event)\"\r\n    >\r\n      <span>{{ title }}</span>\r\n      <div class=\"box-title-btn\">\r\n        <span class=\"iconfont\" @click=\"closeFun\">X</span>\r\n      </div>\r\n    </div>\r\n    <div class=\"box-main\">\r\n      <slot></slot>\r\n    </div>\r\n  </div>\r\n</template>\r\n<script>\r\nexport default {\r\n  name: 'window',\r\n  data() {\r\n    return {\r\n      lastY: \"\",\r\n      lastX: \"\",\r\n      moveY: \"\",\r\n      moveX: \"\",\r\n      //窗口默认大小\r\n      eventInfo: {\r\n        width: this.width,\r\n        height: this.height,\r\n        top: this.top,\r\n        left: this.top,\r\n      },\r\n      //当前点击的位置\r\n      translate: \"\",\r\n\r\n      //判断鼠标是否点击\r\n      clickFlag: false,\r\n      //元素是否移动\r\n      moveFlag: true,\r\n\r\n      // 关闭\r\n      closeFlag: true,\r\n    };\r\n  },\r\n  props: {\r\n    title: {\r\n      default: \"窗口\",\r\n      type: String,\r\n    },\r\n    isZoom: {\r\n      default: true,\r\n      type: Boolean,\r\n    },\r\n    isRun: {\r\n      default: true,\r\n      type: Boolean,\r\n    },\r\n    width: {\r\n      type: [Number, String],\r\n      default: window.innerWidth - ( window.innerWidth * 0.6)\r\n    },\r\n    height: {\r\n      type: [Number, String],\r\n      default: window.innerHeight - ( window.innerHeight * 0.4)\r\n    },\r\n    top: {\r\n      type: [Number, String],\r\n      default: 0\r\n    },\r\n    left: {\r\n      type: [Number, String],\r\n      default: 0\r\n    }\r\n  },\r\n  mounted() {},\r\n  methods: {\r\n    mouseMove(e) {\r\n      this.clickItem()\r\n        switch (this.translate) {\r\n          case \"top\":\r\n            this.topChange(e);\r\n            break;\r\n          case \"bottom\":\r\n            this.bottomChange(e);\r\n            break;\r\n          case \"left\":\r\n            this.leftChange(e);\r\n            break;\r\n          case \"right\":\r\n            this.rightChange(e);\r\n            break;\r\n          case \"top_left\":\r\n            this.topChange(e);\r\n            this.leftChange(e);\r\n            break;\r\n          case \"bottom_left\":\r\n            this.bottomChange(e);\r\n            this.leftChange(e);\r\n            break;\r\n          case \"top_right\":\r\n            this.topChange(e);\r\n            this.rightChange(e);\r\n            break;\r\n          case \"bottom_right\":\r\n            this.bottomChange(e);\r\n            this.rightChange(e);\r\n            break;\r\n          default:\r\n            console.log(\"啦啦啦，我是卖报的小专家\");\r\n            break;\r\n        }\r\n      this.lastY = e.screenY;\r\n      this.lastX = e.screenX;\r\n    },\r\n    topChange(e) {\r\n      this.eventInfo.height =\r\n        -(e.screenY - this.lastY) + this.$refs.box.clientHeight;\r\n      this.eventInfo.top = e.clientY;\r\n    },\r\n    leftChange(e) {\r\n      this.eventInfo.left = e.clientX;\r\n      this.eventInfo.width =\r\n        -(e.screenX - this.lastX) + this.$refs.box.clientWidth;\r\n    },\r\n    bottomChange(e) {\r\n      this.eventInfo.height =\r\n        e.screenY - this.lastY + this.$refs.box.clientHeight;\r\n    },\r\n    rightChange(e) {\r\n      this.eventInfo.width =\r\n        e.screenX - this.lastX + this.$refs.box.clientWidth;\r\n    },\r\n    mouseDown(e, translate) {\r\n      if (!this.isZoom) {\r\n        return false;\r\n      }\r\n      this.lastY = e.screenY;\r\n      this.lastX = e.screenX;\r\n      this.translate = translate;\r\n      \r\n      document.onmousemove = this.mouseMove;\r\n    },\r\n    //移动\r\n    dragDiv(el) {\r\n      if (!this.isRun) {\r\n        return false\r\n      }\r\n      this.clickItem()\r\n      const box = this.$refs.box;\r\n      const _this = this;\r\n      if (_this.maxFlag) {\r\n        box.startY = el.clientY - box.offsetTop;\r\n        box.startX = _this.historyEventInfo.width / 2;\r\n      } else {\r\n        box.startX = el.clientX - box.offsetLeft;\r\n        box.startY = el.clientY - box.offsetTop;\r\n      }\r\n      this.moveFlag = true;\r\n      document.onmousemove = (e) => {\r\n        if (_this.moveFlag) {\r\n          //但窗口放大后,拖动后窗口窗口化\r\n          if (_this.maxFlag) {\r\n            _this.eventInfo.width = _this.historyEventInfo.width;\r\n            _this.eventInfo.height = _this.historyEventInfo.height;\r\n            _this.maxFlag = false;\r\n          } else {\r\n            _this.eventInfo.left = e.clientX - box.startX;\r\n          }\r\n          let top = e.clientY - box.startY;\r\n          _this.eventInfo.top = top;\r\n        }\r\n      };\r\n    },\r\n    clearEvent() {\r\n      document.onmousemove = null;\r\n      document.onmouseup = null;\r\n    },\r\n    // 关闭\r\n    closeFun() {\r\n      this.closeFlag = false;\r\n      this.$emit(\"closeFun\", true);\r\n    },\r\n    //鼠标按下回调\r\n    clickItem() {\r\n      this.$emit('clickItem', true)\r\n    },\r\n  },\r\n};\r\n</script>\r\n<style scoped>\r\n.box {\r\n  position: absolute;\r\n  min-height: 100px;\r\n  min-width: 150px;\r\n  box-shadow: 0 2px 12px 0 rgb(0 0 0 / 10%);\r\n  /* transition: top 0.1s; */\r\n}\r\n.top,\r\n.left,\r\n.right,\r\n.bottom {\r\n  position: absolute;\r\n}\r\n.top,\r\n.bottom {\r\n  left: 0;\r\n  right: 0;\r\n  margin-left: auto;\r\n  margin-right: auto;\r\n}\r\n.left,\r\n.right {\r\n  top: 0;\r\n  bottom: 0;\r\n  margin-top: auto;\r\n  margin-bottom: auto;\r\n}\r\n.top {\r\n  width: calc(100% - 4px);\r\n  height: 2px;\r\n  top: 0;\r\n  left: 0;\r\n  cursor: n-resize;\r\n}\r\n.bottom {\r\n  width: calc(100% - 4px);\r\n  height: 2px;\r\n  bottom: 0;\r\n  left: 0;\r\n  cursor: s-resize;\r\n}\r\n.left {\r\n  width: 2px;\r\n  height: calc(100% - 4px);\r\n  top: 0;\r\n  left: 0;\r\n  cursor: w-resize;\r\n}\r\n.right {\r\n  width: 2px;\r\n  height: calc(100% - 4px);\r\n  bottom: 0;\r\n  right: 0;\r\n  cursor: e-resize;\r\n}\r\n.top_left,\r\n.top_right,\r\n.bottom_left,\r\n.bottom_right {\r\n  width: 6px;\r\n  height: 6px;\r\n  position: absolute;\r\n}\r\n\r\n.top_left {\r\n  top: 0;\r\n  left: 0;\r\n  cursor: nw-resize;\r\n}\r\n.top_right {\r\n  top: 0;\r\n  right: 0;\r\n  cursor: ne-resize;\r\n}\r\n.bottom_left {\r\n  bottom: 0;\r\n  left: 0;\r\n  cursor: sw-resize;\r\n}\r\n.bottom_right {\r\n  bottom: 0;\r\n  right: 0;\r\n  cursor: se-resize;\r\n}\r\n.top,\r\n.bottom,\r\n.left,\r\n.right,\r\n.top_left,\r\n.top_right,\r\n.bottom_left,\r\n.bottom_right {\r\n  z-index: 2;\r\n}\r\n.box-title {\r\n  width: 100%;\r\n  height: 30px;\r\n  position: absolute;\r\n  top: 2px;\r\n  left: 0;\r\n  right: 0;\r\n  margin-left: auto;\r\n  margin-right: auto;\r\n  background: #fff;\r\n  border-bottom: 0.5px solid rgba(124, 124, 124, 0.5);\r\n  box-sizing: border-box;\r\n  line-height: 30px;\r\n  padding-left: 10px;\r\n  box-sizing: border-box;\r\n}\r\n.box-title > span {\r\n  display: block;\r\n  width: 70%;\r\n  float: left;\r\n  overflow: hidden;\r\n  text-overflow: ellipsis;\r\n  white-space: nowrap;\r\n  font-size: 14px;\r\n  color: #000;\r\n  -webkit-touch-callout: none;\r\n  -webkit-user-select: none;\r\n  -moz-user-select: none;\r\n  -ms-user-select: none;\r\n  user-select: none;\r\n}\r\n.box-title > .box-title-btn {\r\n  /* width: 100px; */\r\n  float: right;\r\n  height: 100%;\r\n  display: flex;\r\n  justify-content: space-around;\r\n}\r\n.box-main {\r\n  width: 100%;\r\n  height: calc(100% - 31px);\r\n  position: absolute;\r\n  left: 0;\r\n  right: 0;\r\n  top: 33px;\r\n  bottom: 0;\r\n  margin: auto;\r\n  background: #fff;\r\n  padding: 7px;\r\n  box-sizing: border-box;\r\n}\r\n.iconfont {\r\n  cursor: pointer;\r\n  font-size: 18px;\r\n  color: rgb(124, 124, 124);\r\n  width: 30px;\r\n  height: 100%;\r\n  text-align: center;\r\n  line-height: 30px;\r\n}\r\n.iconfont:hover {\r\n  background: rgba(255, 0, 0, 0.7);\r\n  color: #fff;  \r\n}\r\n</style>\r\n"],"sourceRoot":""}]);

// exports


/***/ }),
/* 5 */
/***/ (function(module, exports) {

/*
	MIT License http://www.opensource.org/licenses/mit-license.php
	Author Tobias Koppers @sokra
*/
// css base code, injected by the css-loader
module.exports = function(useSourceMap) {
	var list = [];

	// return the list of modules as css string
	list.toString = function toString() {
		return this.map(function (item) {
			var content = cssWithMappingToString(item, useSourceMap);
			if(item[2]) {
				return "@media " + item[2] + "{" + content + "}";
			} else {
				return content;
			}
		}).join("");
	};

	// import a list of modules into the list
	list.i = function(modules, mediaQuery) {
		if(typeof modules === "string")
			modules = [[null, modules, ""]];
		var alreadyImportedModules = {};
		for(var i = 0; i < this.length; i++) {
			var id = this[i][0];
			if(typeof id === "number")
				alreadyImportedModules[id] = true;
		}
		for(i = 0; i < modules.length; i++) {
			var item = modules[i];
			// skip already imported module
			// this implementation is not 100% perfect for weird media query combinations
			//  when a module is imported multiple times with different media queries.
			//  I hope this will never occur (Hey this way we have smaller bundles)
			if(typeof item[0] !== "number" || !alreadyImportedModules[item[0]]) {
				if(mediaQuery && !item[2]) {
					item[2] = mediaQuery;
				} else if(mediaQuery) {
					item[2] = "(" + item[2] + ") and (" + mediaQuery + ")";
				}
				list.push(item);
			}
		}
	};
	return list;
};

function cssWithMappingToString(item, useSourceMap) {
	var content = item[1] || '';
	var cssMapping = item[3];
	if (!cssMapping) {
		return content;
	}

	if (useSourceMap && typeof btoa === 'function') {
		var sourceMapping = toComment(cssMapping);
		var sourceURLs = cssMapping.sources.map(function (source) {
			return '/*# sourceURL=' + cssMapping.sourceRoot + source + ' */'
		});

		return [content].concat(sourceURLs).concat([sourceMapping]).join('\n');
	}

	return [content].join('\n');
}

// Adapted from convert-source-map (MIT)
function toComment(sourceMap) {
	// eslint-disable-next-line no-undef
	var base64 = btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap))));
	var data = 'sourceMappingURL=data:application/json;charset=utf-8;base64,' + base64;

	return '/*# ' + data + ' */';
}


/***/ }),
/* 6 */
/***/ (function(module, exports, __webpack_require__) {

/*
  MIT License http://www.opensource.org/licenses/mit-license.php
  Author Tobias Koppers @sokra
  Modified by Evan You @yyx990803
*/

var hasDocument = typeof document !== 'undefined'

if (typeof DEBUG !== 'undefined' && DEBUG) {
  if (!hasDocument) {
    throw new Error(
    'vue-style-loader cannot be used in a non-browser environment. ' +
    "Use { target: 'node' } in your Webpack config to indicate a server-rendering environment."
  ) }
}

var listToStyles = __webpack_require__(7)

/*
type StyleObject = {
  id: number;
  parts: Array<StyleObjectPart>
}

type StyleObjectPart = {
  css: string;
  media: string;
  sourceMap: ?string
}
*/

var stylesInDom = {/*
  [id: number]: {
    id: number,
    refs: number,
    parts: Array<(obj?: StyleObjectPart) => void>
  }
*/}

var head = hasDocument && (document.head || document.getElementsByTagName('head')[0])
var singletonElement = null
var singletonCounter = 0
var isProduction = false
var noop = function () {}
var options = null
var ssrIdKey = 'data-vue-ssr-id'

// Force single-tag solution on IE6-9, which has a hard limit on the # of <style>
// tags it will allow on a page
var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\b/.test(navigator.userAgent.toLowerCase())

module.exports = function (parentId, list, _isProduction, _options) {
  isProduction = _isProduction

  options = _options || {}

  var styles = listToStyles(parentId, list)
  addStylesToDom(styles)

  return function update (newList) {
    var mayRemove = []
    for (var i = 0; i < styles.length; i++) {
      var item = styles[i]
      var domStyle = stylesInDom[item.id]
      domStyle.refs--
      mayRemove.push(domStyle)
    }
    if (newList) {
      styles = listToStyles(parentId, newList)
      addStylesToDom(styles)
    } else {
      styles = []
    }
    for (var i = 0; i < mayRemove.length; i++) {
      var domStyle = mayRemove[i]
      if (domStyle.refs === 0) {
        for (var j = 0; j < domStyle.parts.length; j++) {
          domStyle.parts[j]()
        }
        delete stylesInDom[domStyle.id]
      }
    }
  }
}

function addStylesToDom (styles /* Array<StyleObject> */) {
  for (var i = 0; i < styles.length; i++) {
    var item = styles[i]
    var domStyle = stylesInDom[item.id]
    if (domStyle) {
      domStyle.refs++
      for (var j = 0; j < domStyle.parts.length; j++) {
        domStyle.parts[j](item.parts[j])
      }
      for (; j < item.parts.length; j++) {
        domStyle.parts.push(addStyle(item.parts[j]))
      }
      if (domStyle.parts.length > item.parts.length) {
        domStyle.parts.length = item.parts.length
      }
    } else {
      var parts = []
      for (var j = 0; j < item.parts.length; j++) {
        parts.push(addStyle(item.parts[j]))
      }
      stylesInDom[item.id] = { id: item.id, refs: 1, parts: parts }
    }
  }
}

function createStyleElement () {
  var styleElement = document.createElement('style')
  styleElement.type = 'text/css'
  head.appendChild(styleElement)
  return styleElement
}

function addStyle (obj /* StyleObjectPart */) {
  var update, remove
  var styleElement = document.querySelector('style[' + ssrIdKey + '~="' + obj.id + '"]')

  if (styleElement) {
    if (isProduction) {
      // has SSR styles and in production mode.
      // simply do nothing.
      return noop
    } else {
      // has SSR styles but in dev mode.
      // for some reason Chrome can't handle source map in server-rendered
      // style tags - source maps in <style> only works if the style tag is
      // created and inserted dynamically. So we remove the server rendered
      // styles and inject new ones.
      styleElement.parentNode.removeChild(styleElement)
    }
  }

  if (isOldIE) {
    // use singleton mode for IE9.
    var styleIndex = singletonCounter++
    styleElement = singletonElement || (singletonElement = createStyleElement())
    update = applyToSingletonTag.bind(null, styleElement, styleIndex, false)
    remove = applyToSingletonTag.bind(null, styleElement, styleIndex, true)
  } else {
    // use multi-style-tag mode in all other cases
    styleElement = createStyleElement()
    update = applyToTag.bind(null, styleElement)
    remove = function () {
      styleElement.parentNode.removeChild(styleElement)
    }
  }

  update(obj)

  return function updateStyle (newObj /* StyleObjectPart */) {
    if (newObj) {
      if (newObj.css === obj.css &&
          newObj.media === obj.media &&
          newObj.sourceMap === obj.sourceMap) {
        return
      }
      update(obj = newObj)
    } else {
      remove()
    }
  }
}

var replaceText = (function () {
  var textStore = []

  return function (index, replacement) {
    textStore[index] = replacement
    return textStore.filter(Boolean).join('\n')
  }
})()

function applyToSingletonTag (styleElement, index, remove, obj) {
  var css = remove ? '' : obj.css

  if (styleElement.styleSheet) {
    styleElement.styleSheet.cssText = replaceText(index, css)
  } else {
    var cssNode = document.createTextNode(css)
    var childNodes = styleElement.childNodes
    if (childNodes[index]) styleElement.removeChild(childNodes[index])
    if (childNodes.length) {
      styleElement.insertBefore(cssNode, childNodes[index])
    } else {
      styleElement.appendChild(cssNode)
    }
  }
}

function applyToTag (styleElement, obj) {
  var css = obj.css
  var media = obj.media
  var sourceMap = obj.sourceMap

  if (media) {
    styleElement.setAttribute('media', media)
  }
  if (options.ssrId) {
    styleElement.setAttribute(ssrIdKey, obj.id)
  }

  if (sourceMap) {
    // https://developer.chrome.com/devtools/docs/javascript-debugging
    // this makes source maps inside style tags work properly in Chrome
    css += '\n/*# sourceURL=' + sourceMap.sources[0] + ' */'
    // http://stackoverflow.com/a/26603875
    css += '\n/*# sourceMappingURL=data:application/json;base64,' + btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap)))) + ' */'
  }

  if (styleElement.styleSheet) {
    styleElement.styleSheet.cssText = css
  } else {
    while (styleElement.firstChild) {
      styleElement.removeChild(styleElement.firstChild)
    }
    styleElement.appendChild(document.createTextNode(css))
  }
}


/***/ }),
/* 7 */
/***/ (function(module, exports) {

/**
 * Translates the list format produced by css-loader into something
 * easier to manipulate.
 */
module.exports = function listToStyles (parentId, list) {
  var styles = []
  var newStyles = {}
  for (var i = 0; i < list.length; i++) {
    var item = list[i]
    var id = item[0]
    var css = item[1]
    var media = item[2]
    var sourceMap = item[3]
    var part = {
      id: parentId + ':' + i,
      css: css,
      media: media,
      sourceMap: sourceMap
    }
    if (!newStyles[id]) {
      styles.push(newStyles[id] = { id: id, parts: [part] })
    } else {
      newStyles[id].parts.push(part)
    }
  }
  return styles
}


/***/ }),
/* 8 */
/***/ (function(module, exports) {

/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file.
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

module.exports = function normalizeComponent (
  rawScriptExports,
  compiledTemplate,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier /* server only */
) {
  var esModule
  var scriptExports = rawScriptExports = rawScriptExports || {}

  // ES6 modules interop
  var type = typeof rawScriptExports.default
  if (type === 'object' || type === 'function') {
    esModule = rawScriptExports
    scriptExports = rawScriptExports.default
  }

  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (compiledTemplate) {
    options.render = compiledTemplate.render
    options.staticRenderFns = compiledTemplate.staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = injectStyles
  }

  if (hook) {
    var functional = options.functional
    var existing = functional
      ? options.render
      : options.beforeCreate

    if (!functional) {
      // inject component registration as beforeCreate hook
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    } else {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return existing(h, context)
      }
    }
  }

  return {
    esModule: esModule,
    exports: scriptExports,
    options: options
  }
}


/***/ }),
/* 9 */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
var render = function() {
  var _vm = this
  var _h = _vm.$createElement
  var _c = _vm._self._c || _h
  return _vm.closeFlag
    ? _c(
        "div",
        {
          ref: "box",
          staticClass: "box",
          style: {
            height: _vm.eventInfo.height + "px",
            width: _vm.eventInfo.width + "px",
            top: _vm.eventInfo.top + "px",
            left: _vm.eventInfo.left + "px"
          },
          on: {
            mousedown: function($event) {
              $event.stopPropagation()
              return _vm.clickItem($event)
            }
          }
        },
        [
          _c("div", {
            staticClass: "top",
            on: {
              mousedown: function($event) {
                $event.stopPropagation()
                return _vm.mouseDown($event, "top")
              },
              mouseup: function($event) {
                $event.stopPropagation()
                return _vm.clearEvent($event)
              }
            }
          }),
          _vm._v(" "),
          _c("div", {
            staticClass: "left",
            on: {
              mousedown: function($event) {
                $event.stopPropagation()
                return _vm.mouseDown($event, "left")
              },
              mouseup: function($event) {
                $event.stopPropagation()
                return _vm.clearEvent($event)
              }
            }
          }),
          _vm._v(" "),
          _c("div", {
            staticClass: "right",
            on: {
              mousedown: function($event) {
                $event.stopPropagation()
                return _vm.mouseDown($event, "right")
              },
              mouseup: function($event) {
                $event.stopPropagation()
                return _vm.clearEvent($event)
              }
            }
          }),
          _vm._v(" "),
          _c("div", {
            staticClass: "bottom",
            on: {
              mousedown: function($event) {
                $event.stopPropagation()
                return _vm.mouseDown($event, "bottom")
              },
              mouseup: function($event) {
                $event.stopPropagation()
                return _vm.clearEvent($event)
              }
            }
          }),
          _vm._v(" "),
          _c("div", {
            staticClass: "top_left",
            on: {
              mousedown: function($event) {
                $event.stopPropagation()
                return _vm.mouseDown($event, "top_left")
              },
              mouseup: function($event) {
                $event.stopPropagation()
                return _vm.clearEvent($event)
              }
            }
          }),
          _vm._v(" "),
          _c("div", {
            staticClass: "bottom_left",
            on: {
              mousedown: function($event) {
                $event.stopPropagation()
                return _vm.mouseDown($event, "bottom_left")
              },
              mouseup: function($event) {
                $event.stopPropagation()
                return _vm.clearEvent($event)
              }
            }
          }),
          _vm._v(" "),
          _c("div", {
            staticClass: "top_right",
            on: {
              mousedown: function($event) {
                $event.stopPropagation()
                return _vm.mouseDown($event, "top_right")
              },
              mouseup: function($event) {
                $event.stopPropagation()
                return _vm.clearEvent($event)
              }
            }
          }),
          _vm._v(" "),
          _c("div", {
            staticClass: "bottom_right",
            on: {
              mousedown: function($event) {
                $event.stopPropagation()
                return _vm.mouseDown($event, "bottom_right")
              },
              mouseup: function($event) {
                $event.stopPropagation()
                return _vm.clearEvent($event)
              }
            }
          }),
          _vm._v(" "),
          _c(
            "div",
            {
              ref: "boxtitle",
              staticClass: "box-title",
              on: {
                mousedown: function($event) {
                  $event.stopPropagation()
                  return _vm.dragDiv($event)
                },
                mouseup: function($event) {
                  $event.stopPropagation()
                  return _vm.clearEvent($event)
                }
              }
            },
            [
              _c("span", [_vm._v(_vm._s(_vm.title))]),
              _vm._v(" "),
              _c("div", { staticClass: "box-title-btn" }, [
                _c(
                  "span",
                  { staticClass: "iconfont", on: { click: _vm.closeFun } },
                  [_vm._v("X")]
                )
              ])
            ]
          ),
          _vm._v(" "),
          _c("div", { staticClass: "box-main" }, [_vm._t("default")], 2)
        ]
      )
    : _vm._e()
}
var staticRenderFns = []
render._withStripped = true
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ __webpack_exports__["a"] = (esExports);
if (false) {
  module.hot.accept()
  if (module.hot.data) {
    require("vue-hot-reload-api")      .rerender("data-v-5ef48958", esExports)
  }
}

/***/ })
/******/ ]);
});
//# sourceMappingURL=windowModel.min.js.map